/*
 * common.h
 */

/*
 * ANSI-C stuff.  Snarfed from xloadimage.
 */
#ifdef __STDC__

#if !defined(_ArgProto)
#define _ArgProto(ARGS) ARGS
#endif

#else /* !__STDC__ */

#if !defined(const) /* "const" is an ANSI thing */
#define const
#endif
#if !defined(_ArgProto)
#define _ArgProto(ARGS) ()
#endif

#endif /* __STDC__ */

void free_mem _ArgProto((void *));
void *alloc_mem _ArgProto((int));
void *calloc_mem _ArgProto((int, int));
void *realloc_mem _ArgProto((void *, int));
char *alloc_string _ArgProto((char *));

typedef struct _stringdb
{
  char *name;
  char *value;
  struct _stringdb *next;
} StringDB;

void AddListToStringDB _ArgProto((StringDB *));
void AddToStringDB _ArgProto((char *, char *));
char *GetFromStringDB _ArgProto((char *));
char *NGetFromStringDB _ArgProto((char *));
void AddLanguage _ArgProto((char *));

char *FixFilename _ArgProto((char *));
int SaveData _ArgProto((char *, int, char *));
void StartReaper();
char *mystrtok _ArgProto((char *, int, char **));
char *CreateCommandLine _ArgProto((char *, char *, char *));
char *EscapeHTML _ArgProto((char *));
